<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\DefenceEntity;
use App\Models\Equipment\Part\DefenceModel;
use CodeIgniter\HTTP\IncomingRequest;

class DefenceService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Defence');
    }
    public function getModelClass(): DefenceModel
    {
        return new DefenceModel();
    }
    public function getEntityClass(): DefenceEntity
    {
        return new DefenceEntity();
    }
    public function getFormFields(): array
    {
        return [
            "type",
            "ip",
            "accountid",
            "domain",
            "status",
            "description",
        ];
    }
    public function getFilterFields(): array
    {
        return ["type", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ["type", 'status'];
    }
    public function getIndexFields(): array
    {
        return ['type', 'ip', 'accountid', 'domain', 'status'];
    }
}
